/*
 * COPYRIGHT LICENSE: This information contains sample code provided in source code form. 
 * You may copy, modify, and distribute these sample programs in any form without payment
 * to IBM for the purposes of developing, using, marketing or distributing application
 * programs conforming to the application programming interface for the operating platform
 * for which the sample code is written. Notwithstanding anything to the contrary,
 * IBM PROVIDES THE SAMPLE SOURCE CODE ON AN "AS IS" BASIS AND IBM DISCLAIMS ALL WARRANTIES,
 * EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OR CONDITIONS OF
 * MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND ANY
 * WARRANTY OR CONDITION OF NON-INFRINGEMENT. IBM SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR OPERATION OF THE SAMPLE
 * SOURCE CODE. IBM HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS OR
 * MODIFICATIONS TO THE SAMPLE SOURCE CODE.

 * (C) Copyright IBM Corp. 2001, 2011.
 * All Rights Reserved. Licensed Materials - Property of IBM.
 */

package com.ibm.ws.jsf.sample.ajax;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import java.io.Serializable;

@ManagedBean
@SessionScoped
public class SimpleTextBean implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private String text1;
        private String text2;

        public String getText1() {
		return text1;
	}

	public void setText1(String text1) {
		this.text1 = text1;
	}

        public void clearData1(javax.faces.event.AjaxBehaviorEvent event) {
            this.text1 = null;
	}

        public String getText2() {
		return text2;
	}

	public void setText2(String text2) {
		this.text2 = text2;
	}

        public void clearData2() {
            this.text2 = null;
	}
}